=== debian/changelog ===
linuxcnc (2.9.0~pre0+git20220906.02744cdef6-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre0+git20220906.02744cdef6
  * Fix RPC linking (changed in glibc 2.34-1).
  * Improve docs.
  * QtVCP: add API function to remove keybinding.

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 06 Sep 2022 16:49:06 -0600

linuxcnc (2.9.0~pre0+git20220905.b2e28a88c3-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre0+git20220905.b2e28a88c3
    (Closes: #1019212).
  * deadzone comp: fix a typo in a HAL pin name.
  * Misc updates to QtVCP.
  * Minor fixes to docs.

 -- Sebastian Kuzminsky <seb@highlab.com>  Mon, 05 Sep 2022 17:38:14 -0600

linuxcnc (2.9.0~pre0+git20220903.c8c4c539b1-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre0+git20220903.c8c4c539b1
  * regenerate debian/* files using d/configure
  * Update docs & translations.
  * QtVCP fixes & improvements.
  * Work around autopkgtest failure.

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 03 Sep 2022 16:29:26 -0600

linuxcnc (2.9.0~pre0+git20220827.f7d1c37ffd-1) unstable; urgency=medium

  * Improved translation infrastructure.
  * Misc bug fixes and new features.

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 27 Aug 2022 17:50:53 -0600

linuxcnc (1:2.8.3) buster; urgency=low

  * CraftsmanCNC: A new GUI written from scratch Intended for CNC router
      applications.
  * Merge pull request #1706 from
      hansu/gmoccapy-fix-buttonstate-settings-2.8
  * pncconf: add 7i96s
  * command.c: EMCMOT_JOINT_ABORT set joint jog inactive
  * Several patches from zz912 to improve translations
  * Gmoccapy - many updates
  * PNCconf bug - bad arrow
  * Update cpu_info.c for Raspberry revision 1.5
  * qtvcp -file_manager: fix indent error
  * task: disallow task mode change if jogging
  * Fix the building of packages (broken by Japanese docs)
  * carousel: Fix homing bug.
  * qtvcp - many updates
  * docs: added japanese PDF docs from MasaoSakai
      (https://github.com/MasaoSakai/LinuxCNC)
  * docs: many updates
  * docs: make an index.html page for the PDF docs
  * Merge pull request #1644 from alkabal/alkabal-2.8-xhc-whb04b-6
  * Several pull requests from elovalvo/
  * Update for new version of Rpi400
  * mb2hal: added pins to manpage
  * Merge pull request #1641 from JTrantow/2.8
  * Change EDITOR = geany. Restore more generous dirhold and dirsetup
      timing.
  * Updated the gantry example 
  * linuxcncrsh: check for errors when creating listening socket
  * gscreen -fix error related to keyboard jogging and limit switch
  * getting-linuxcnc.txt list alternate keyserver
  * axis.py: stop continuous jogs if mdi tab     #1519
  * mitsub_vfd docs: several updates
  * improved german translation
  * plasmac: many updates
  * FIxed IRC webclient URL
  * Update man-pages for latency-* scripts.
  * Docs: Update RTAI install instructions.
  * Merge pull request #1234 from LinuxCNC/fix-md5-sum
  * Update getting-linuxcnc_es.txt
  * Update getting-linuxcnc-cn.txt
  * Fix MD5 / SHA256 sums
  * docs: fix some minor glitches in INI config docs.
  * Docs add axis lathe info and images
  * pncconf: several updates
  * pncconf -raise the stepper timing maximum to 50000
  * Merge pull request #1199 from LinuxCNC/shuttle
  * parport: Clarify messages when parport_pc has not found the device.
  * Docs: Bump kernel version for RTAI in "Getting LinuxCNC"
  * shuttle: driver and docs updates
  * full update xhc-whb04b-6 for 2.8

 -- andypugh <andy@bodgesoc.org>  Tue, 09 Aug 2022 22:13:13 +0100
