=== debian/control ===
Source: linuxcnc
Section: misc
Priority: optional
Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
Uploaders: Jeff Epler <jepler@gmail.com>, Sebastian Kuzminsky <seb@highlab.com>
Build-Depends:
    debhelper-compat (= 13),
    dh-python,
    libudev-dev,
    asciidoc,
    ghostscript,
    imagemagick,
    source-highlight,
    asciidoc-dblatex,
    autoconf,
    automake,
    bwidget (>= 1.7),
    desktop-file-utils,
    gettext,
    intltool,
    libboost-python-dev,
    libepoxy-dev,
    libgl1-mesa-dev | libgl1-mesa-swx11-dev,
    libglu1-mesa-dev,
    libgtk2.0-dev,
    libgtk-3-dev,
    libmodbus-dev (>= 3.0),
    libeditreadline-dev,
    libtirpc-dev,
    libusb-1.0-0-dev,
    libxmu-dev,
    netcat,
    po4a,
    procps,
    psmisc,
    python3,
    python3-dev,
    python3-tk,
    python3-xlib,
    tcl8.6-dev,
    tclx,
    tk8.6-dev,
    yapps2
Build-Depends-Indep:
    dblatex (>= 0.2.12),
    docbook-xsl,
    dvipng,
    graphviz,
    groff,
    inkscape,
    python3-lxml,
    w3c-linkchecker,
    xsltproc,
    texlive-extra-utils,
    texlive-font-utils,
    texlive-fonts-recommended,
    texlive-lang-cyrillic,
    texlive-lang-european,
    texlive-lang-french,
    texlive-lang-german,
    texlive-lang-polish,
    texlive-lang-spanish,
    texlive-latex-recommended,
    fonts-dejavu,
    texlive-xetex,
Standards-Version: 4.6.1
Homepage: https://linuxcnc.org/
Vcs-Browser: https://github.com/LinuxCNC/linuxcnc
Vcs-Git: https://github.com/LinuxCNC/linuxcnc.git
Rules-Requires-Root: binary-targets

Package: linuxcnc-uspace-dev
Architecture: any
Conflicts: linuxcnc-sim-dev, linuxcnc-dev
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-serial,
         linuxcnc-uspace (= ${binary:Version}),
         udev,
         python3-yapps
Section: devel
Description: PC based motion controller for real-time Linux
 LinuxCNC is a fully-realised CNC machine controller that can interpret
 machine-control programs (such as G-code), plan trajectories and finally
 output low-level signals to machine control hardware
 .
 LinuxCNC is modular and in principle the HAL (hardware abstraction layer),
 pluggable interpreters and variety of hardware drivers mean that it can
 control almost any software-defined physical system.
 .
 LinuxCNC relies on a realtime kernel to support real-time motion control,
 typically updating the position waypoints every 1mS and reacting to
 input within tens of microseconds.
 .
 Modules exist to use the low-level parts of LinuxCNC as a motion-control
 client for OpenPnP. Interfaces exist for ROS (the Robot Operating System)
 with which LinuxCNC has considerable overlap.
 .
 LinuxCNC supports arbitrary kinematics (the mapping between coordinate
 space and actuator space) and can control both parallel (eg Stewart
 platform) and serial (eg robot arm) systems in addition to conventional
 cartesian machine tools.
 .
 LinuxCNC supports 9 cartesian axes and 16 "Joints" (individual actuators)
 though the joint limit is build-time configurable.
 .
 A variety of interface hardware is supported including Modbus, EtherCAT,
 analogue +/-10V velocity control and Step/Dir. Step/Dir is supported by
 several hardware interfaces, including, but not limited to, the legacy
 Parallel Port.
 .
 A Hardware Abstraction Layer allows for great flexibility in signal
 mapping between the controller and the driver hardware. An extensive
 library of modules allow for complex signal processing within the HAL
 layer. For specialised tasks custom HAL components can be created using
 a C-like syntax and installed with the supplied tools.
 .
 By default LinuxCNC supports RS274 G-code but is extendable to parse
 other grammars such as STEP-NC or Gerber through support for pluggable
 interpreters.
 .
 If you want a computer to control things in the real world
 then LinuxCNC can do it. It is especially applicable to systems that
 are required to follow accurate paths described in cartesian space but
 has been used for numerous other applications.
 .
 This package provides all files that you need to embed parts of LinuxCNC
 in your developments.

Package: linuxcnc-uspace
Conflicts:
    linuxcnc-sim,
    linuxcnc
Breaks:
    linuxcnc-doc-en (<= 2.9.0~pre0+git20220402.2500863908-4),
    linuxcnc-doc-es (<= 2.9.0~pre0+git20220402.2500863908-4),
    linuxcnc-doc-fr (<= 2.9.0~pre0+git20220402.2500863908-4)
Architecture: any
Depends:
    ${misc:Depends},
    ${python3:Depends},
    ${shlibs:Depends},
    libudev-dev,iptables,
    blt,
    mesa-utils,
    python3-tk,
    python3-numpy,
    python3-cairo,
    python3-gi-cairo,
    python3-opengl,
    python3-configobj,
    python3-xlib,
    libgtksourceview-3.0-dev,
    tcl8.6,
    tk8.6,
    bwidget (>= 1.7),
    tclreadline,
    tclx,
    procps, psmisc,
    udev
Recommends:
    linuxcnc-doc-en | linuxcnc-doc,
    librsvg2-dev,
    hostmot2-firmware-all, linux-image-rt-amd64 [linux-amd64], linux-image-rt-686-pae [linux-i386],
    python3-pil,
    python3-pil.imagetk,
    python3-pyqt5,
    python3-pyqt5.qsci,
    python3-pyqt5.qtsvg,
    python3-pyqt5.qtopengl,
    python3-opencv,
    python3-dbus,python3-espeak,
    python3-dbus.mainloop.pyqt5,
    python3-pyqt5.qtwebkit,
    espeak-ng,
    pyqt5-dev-tools,
    gstreamer1.0-tools,espeak,
    sound-theme-freedesktop
Suggests: mesaflash
Description: motion controller for CNC machines and robots
 LinuxCNC is a fully-realised CNC machine controller that can interpret
 machine-control programs (such as G-code), plan trajectories and finally
 output low-level signals to machine control hardware
 .
 LinuxCNC is modular and in principle the HAL (hardware abstraction layer),
 pluggable interpreters and variety of hardware drivers mean that it can
 control almost any software-defined physical system.
 .
 LinuxCNC relies on a realtime kernel to support real-time motion control,
 typically updating the position waypoints every 1mS and reacting to
 input within tens of microseconds.
 .
 Modules exist to use the low-level parts of LinuxCNC as a motion-control
 client for OpenPnP. Interfaces exist for ROS (the Robot Operating System)
 with which LinuxCNC has considerable overlap.
 .
 LinuxCNC supports arbitrary kinematics (the mapping between coordinate
 space and actuator space) and can control both parallel (eg Stewart
 platform) and serial (eg robot arm) systems in addition to conventional
 cartesian machine tools.
 .
 LinuxCNC supports 9 cartesian axes and 16 "Joints" (individual actuators)
 though the joint limit is build-time configurable.
 .
 A variety of interface hardware is supported including Modbus, EtherCAT,
 analogue +/-10V velocity control and Step/Dir. Step/Dir is supported by
 several hardware interfaces, including, but not limited to, the legacy
 Parallel Port.
 .
 A Hardware Abstraction Layer allows for great flexibility in signal
 mapping between the controller and the driver hardware. An extensive
 library of modules allow for complex signal processing within the HAL
 layer. For specialised tasks custom HAL components can be created using
 a C-like syntax and installed with the supplied tools.
 .
 By default LinuxCNC supports RS274 G-code but is extendable to parse
 other grammars such as STEP-NC or Gerber through support for pluggable
 interpreters.
 .
 If you want a computer to control things in the real world
 then LinuxCNC can do it. It is especially applicable to systems that
 are required to follow accurate paths described in cartesian space but
 has been used for numerous other applications.
 .
 This package provides the main package for LinuxCNC.

Package: linuxcnc-doc-en
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4),
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (English documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in English.

Package: linuxcnc-doc-fr
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (French documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in French.

Package: linuxcnc-doc-es
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Replaces: linuxcnc-uspace (<= 2.9.0~pre0+git20220402.2500863908-4)
Recommends: xdg-utils
Suggests: pdf-viewer
Description: controlador de movimiento para máquinas CNC y robots (Español).
 LinuxCNC es EMC (controlador de máquina mejorado) que proporciona
 control de movimiento para máquinas herramientas CNC (fresado,
 torneado, ruteado, etc.) y aplicaciones de robótica.
 .
 Este paquete contiene la documentación en español.

Package: linuxcnc-doc-zh-cn
Provides: linuxcnc-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: xdg-utils
Suggests: pdf-viewer
Conflicts: linuxcnc-doc-cn
Replaces: linuxcnc-doc-cn
Description: motion controller for CNC machines and robots (Chinese
 documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in Chinese.
