=== debian/tests/control ===
Tests: linuxcnc-test
Depends: @
Restrictions: allow-stderr flaky

Tests: rs274-test
Depends: @
Restrictions: flaky
