=== debian/changelog ===
linuxcnc (2.9.0~pre0+git20221023.7a5beabae0-1) unstable; urgency=medium

  * New upstream version 2.9.0_pre0+git20221023.7a5beabae0
  * Add deb package with German translated docs.
  * Fix autopkgtest.
  * Fix build on armhf.
  * Fix a divide-by-zero bug in the software encoder counter component.
  * Fix some bugs in carousel component.
  * Fix exception handling bug in python plugin/sai.
  * Improve AppStream metadata.
  * Bump language standards to gnu11 & gnu++17.
  * Add hm2 oneshot support.
  * Lots of improvements to the docs & translations.
  * Improvements to several GUIs.
  * Add scaled sum component.
  * Add anglejog component.
  * Update debian/ files

 -- Sebastian Kuzminsky <seb@highlab.com>  Sun, 23 Oct 2022 22:26:38 -0400
