=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
     debhelper-compat (= 13),
     dh-python,
     libudev-dev,
+    docbook-xsl,
     asciidoc,
     ghostscript,
     imagemagick,
@@ -43,7 +44,6 @@
     yapps2
 Build-Depends-Indep:
     dblatex (>= 0.2.12),
-    docbook-xsl,
     dvipng,
     graphviz,
     groff,
@@ -224,6 +224,19 @@
  .
  This package provides the main package for LinuxCNC.
 
+Package: linuxcnc-doc-de
+Provides: linuxcnc-doc
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: xdg-utils
+Suggests: pdf-viewer
+Description: motion controller for CNC machines and robots (German documentation)
+ LinuxCNC is the next-generation Enhanced Machine Controller which
+ provides motion control for CNC machine tools and robotic
+ applications (milling, cutting, routing, etc.).
+ .
+ This package contains the documentation in German.
+
 Package: linuxcnc-doc-en
 Provides: linuxcnc-doc
 Architecture: all
