## linuxcnc 2.9.0~pre0+git20221105.ffb6bda926

=== debian/changelog ===
linuxcnc (2.9.0~pre0+git20221105.ffb6bda926-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre0+git20221105.ffb6bda926
  * Fix an old hm2 encoder index bug.
  * Fix unloading when halscope crashes.
  * Lots of improvements to docs & translations.
  * Improved gmoccapy GUI and QtVCP.
  * d/changelog: remove duplicated entries

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 05 Nov 2022 20:48:00 -0600
