=== debian/changelog ===
linuxcnc (2.9.0~pre1+git20230208.f1270d6ed7-1+deb12u1) bookworm; urgency=medium

  [ CMorley ]
  * qtvcp -mdi_line: fix multi axes movement on single axis G0 MDI call
    (Closes: #1053251).

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf documenting branches used.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Jan 2025 22:43:48 +0100

linuxcnc (2.9.0~pre1+git20230208.f1270d6ed7-1) unstable; urgency=medium

  * New upstream version 2.9.0~pre1+git20230208.f1270d6ed7 (Closes: #1023651).
  * Fix motion error for some full-circle spirals.
  * Fix issue with arc moves immediately after homing.
  * Fix realtime thread priorities.
  * Lots of updates to GUIs.
  * Lots of improvements to docs and translations.
  * Hostmot2: Add OutM support.
  * Hostmot2: Add support for 7i96S.
  * Hostmot2: Fix config string "num_oneshots" parsing bug.
  * Hostmot2: BSPI and 7i65 fixes.
  * halscope: Fix crash bug.
  * PNCconf: Add support for 7i96S, InM, and OutM.
  * PNCconf: Misc fixes.
  * halcompile: Add command-line args to set compiler & linker flags.
  * halcompile: Fix permissions of installed components.
  * OpenGL: Don't use GLUT.
  * OpenGL: Always use GLX, not EGL, even on Wayland.
  * OpenGL: Work around a new bug in glBitmap().
  * glcanon: Fix mm units.
  * Warn on multiple tools in a single toolchanger pocket.
  * Add div2 component.
  * Add mqtt-publisher component.
  * Include hal_speaker component in build.
  * Update mb2hal.
  * Add hal_set_unready().
  * Add rtapi_ioperm().
  * Add xyzab_tdr 5-axis kins & sample config.
  * Fix some broken example configs.
  * Fix spindle-speed in remap.
  * Clean up handling of canterp.
  * Update icons.
  * Fix zombie process detection at startup.
  * Remove unused procfs_macros.h to avoid copyright concern.
  * Fix some lintian issues.
  * Fix debian/copyright.
  * Fix build on arm and hppa64.
  * d/patches: disable the boost m4 patch, no longer needed

 -- Sebastian Kuzminsky <seb@highlab.com>  Thu, 09 Feb 2023 21:33:18 -0700

linuxcnc (2.9.0~pre0+git20221105.ffb6bda926-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated 0010-arm-hppa.patch from upstream to handle hppa1.1 cpu and to
    exit build earlier if libboost-python is not found.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 08 Nov 2022 22:38:32 +0100

linuxcnc (2.9.0~pre0+git20221105.ffb6bda926-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added 0010-arm-hppa.patch from upstream to fix build failures on armv8l
    and hppa64 CPU build daemons.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 08 Nov 2022 09:55:13 +0100

linuxcnc (1:2.8.4) buster; urgency=medium

  * Add driver support for Mesa 7i96S
  * Add pncconf support fo Mesa 7i96S
  * calculatorwidget: increased buttons to be more touch-friendly
  * gmoccapy: Fix jogging with max velocity (SHIFT + jog key)
  * Czech translation for Gmoccapy
  * gmoccapy: fix attribute error in tooltip text
  * gmoccapy: fix "spindle speed override wasn't applied in reverse direction"
  * docs: add note to obsolete property 'FEATURES'

 -- andypugh <andy@bodgesoc.org>  Sun, 18 Sep 2022 20:33:29 +0100
